--- title: "Get edge list" slug: "edge-listing" tags: ["Global Edge"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/edge-listing" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get edge list Available in Classic and VPC Get the list of edges in a profile. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/profiles/{profileId}/cdn-edges | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profileId` | Number | Required | Profile ID - See [Get profile list](/docs/en/profile-listing). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://edge.apigw.ntruss.com/api/v1/profiles/1599/cdn-edges' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Array | - | Edge list: [result](/docs/en/edge-listing#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Edge ID | | `profileId` | Number | - | Profile ID | | `edgeName` | String | - | Edge name | | `statusType` | String | - | Edge status - `PUBLISHING` \| `RUNNING` \| `STOPPING` \| `STOPPED` \| `ACTIVATING` \| `DELETING` \| `DELETED` - `PUBLISHING`: Deploying - `RUNNING`: Operating - `STOPPING`: Stopping - `STOPPED`: Stopped - `ACTIVATING`: Restarting - `DELETING`: Deleting - `DELETED`: Deleted | | `serviceRegionType` | String | - | Service area - `KOREA` \| `JAPAN` \| `GLOBAL` | | `originalCopyDomain` | String | - | Origin domain | | `registrationDate` | String | - | Creation date and time | | `modifyDate` | String | - | Last settings change date and time | | `domainName` | String | - | Edge domain | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": [ { "id": 5707, "profileId": 1599, "edgeName": "edge1", "statusType": "STOPPED", "serviceRegionType": "KOREA", "originalCopyDomain": "*********.kr.object.ncloudstorage.com", "registrationDate": "2025-07-15T00:15:05.833Z", "modifyDate": "2025-07-15T04:53:00.949Z", "domainName": "sd0t********.edge.naverncp.com" } ] } ```